Delete a user
curl --request DELETE \
--url https://backendapi.cloud.corbado.io/v2/users/{userID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.cloud.corbado.io/v2/users/{userID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.cloud.corbado.io/v2/users/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Users and passkeys
Delete a user
Deletes a user by given userID.
You can also manage users in the Management Console.
Deletes the user record in your Connect project. Coordinate account and session changes with your own identity system. This is separate from Observe user-data deletion.
Required API key permission: users:write.
DELETE
/
users
/
{userID}
Delete a user
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Management Console.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Response
Operation succeeded.
Was this page helpful?